<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Wed Nov 28 22:45:32 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
org.apache.http.nio.protocol Class Hierarchy (HttpCore NIO 4.3-alpha1 API)
</TITLE>

<META NAME="date" CONTENT="2012-11-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.apache.http.nio.protocol Class Hierarchy (HttpCore NIO 4.3-alpha1 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/nio/pool/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/nio/reactor/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/nio/protocol/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
Hierarchy For Package org.apache.http.nio.protocol
</H2>
</CENTER>
<DL>
<DT><B>Package Hierarchies:</B><DD><A HREF="../../../../../overview-tree.html">All Packages</A></DL>
<HR>
<H2>
Class Hierarchy
</H2>
<UL>
<LI TYPE="circle">java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><B>Object</B></A><UL>
<LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/AbstractAsyncRequestConsumer.html" title="class in org.apache.http.nio.protocol"><B>AbstractAsyncRequestConsumer</B></A>&lt;T&gt; (implements org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestConsumer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestConsumer</A>&lt;T&gt;)
<UL>
<LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestConsumer.html" title="class in org.apache.http.nio.protocol"><B>BasicAsyncRequestConsumer</B></A></UL>
<LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/AbstractAsyncResponseConsumer.html" title="class in org.apache.http.nio.protocol"><B>AbstractAsyncResponseConsumer</B></A>&lt;T&gt; (implements org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncResponseConsumer</A>&lt;T&gt;)
<UL>
<LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncResponseConsumer.html" title="class in org.apache.http.nio.protocol"><B>BasicAsyncResponseConsumer</B></A></UL>
<LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/AsyncNHttpClientHandler.ClientConnState.html" title="class in org.apache.http.nio.protocol"><B>AsyncNHttpClientHandler.ClientConnState</B></A><LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/AsyncNHttpServiceHandler.ServerConnState.html" title="class in org.apache.http.nio.protocol"><B>AsyncNHttpServiceHandler.ServerConnState</B></A><LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestExecutionHandler.html" title="class in org.apache.http.nio.protocol"><B>BasicAsyncRequestExecutionHandler</B></A>&lt;T&gt; (implements org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestExecutionHandler.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestExecutionHandler</A>&lt;T&gt;)
<LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestHandler.html" title="class in org.apache.http.nio.protocol"><B>BasicAsyncRequestHandler</B></A> (implements org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestHandler.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestHandler</A>&lt;T&gt;)
<LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncRequestProducer.html" title="class in org.apache.http.nio.protocol"><B>BasicAsyncRequestProducer</B></A> (implements org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestProducer</A>)
<LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/BasicAsyncResponseProducer.html" title="class in org.apache.http.nio.protocol"><B>BasicAsyncResponseProducer</B></A> (implements org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseProducer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncResponseProducer</A>)
<LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/BufferingHttpClientHandler.html" title="class in org.apache.http.nio.protocol"><B>BufferingHttpClientHandler</B></A> (implements org.apache.http.nio.<A HREF="../../../../../org/apache/http/nio/NHttpClientHandler.html" title="interface in org.apache.http.nio">NHttpClientHandler</A>)
<LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/BufferingHttpServiceHandler.html" title="class in org.apache.http.nio.protocol"><B>BufferingHttpServiceHandler</B></A> (implements org.apache.http.nio.<A HREF="../../../../../org/apache/http/nio/NHttpServiceHandler.html" title="interface in org.apache.http.nio">NHttpServiceHandler</A>)
<LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequester.html" title="class in org.apache.http.nio.protocol"><B>HttpAsyncRequester</B></A><LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestExecutor.html" title="class in org.apache.http.nio.protocol"><B>HttpAsyncRequestExecutor</B></A> (implements org.apache.http.nio.<A HREF="../../../../../org/apache/http/nio/NHttpClientEventHandler.html" title="interface in org.apache.http.nio">NHttpClientEventHandler</A>)
<LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestHandlerRegistry.html" title="class in org.apache.http.nio.protocol"><B>HttpAsyncRequestHandlerRegistry</B></A> (implements org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestHandlerResolver.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestHandlerResolver</A>)
<LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncService.html" title="class in org.apache.http.nio.protocol"><B>HttpAsyncService</B></A> (implements org.apache.http.nio.<A HREF="../../../../../org/apache/http/nio/NHttpServerEventHandler.html" title="interface in org.apache.http.nio">NHttpServerEventHandler</A>)
<LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/NHttpHandlerBase.html" title="class in org.apache.http.nio.protocol"><B>NHttpHandlerBase</B></A><UL>
<LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/AsyncNHttpClientHandler.html" title="class in org.apache.http.nio.protocol"><B>AsyncNHttpClientHandler</B></A> (implements org.apache.http.nio.<A HREF="../../../../../org/apache/http/nio/NHttpClientHandler.html" title="interface in org.apache.http.nio">NHttpClientHandler</A>)
<LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/AsyncNHttpServiceHandler.html" title="class in org.apache.http.nio.protocol"><B>AsyncNHttpServiceHandler</B></A> (implements org.apache.http.nio.<A HREF="../../../../../org/apache/http/nio/NHttpServiceHandler.html" title="interface in org.apache.http.nio">NHttpServiceHandler</A>)
<LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/ThrottlingHttpClientHandler.html" title="class in org.apache.http.nio.protocol"><B>ThrottlingHttpClientHandler</B></A> (implements org.apache.http.nio.<A HREF="../../../../../org/apache/http/nio/NHttpClientHandler.html" title="interface in org.apache.http.nio">NHttpClientHandler</A>)
<LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/ThrottlingHttpServiceHandler.html" title="class in org.apache.http.nio.protocol"><B>ThrottlingHttpServiceHandler</B></A> (implements org.apache.http.nio.<A HREF="../../../../../org/apache/http/nio/NHttpServiceHandler.html" title="interface in org.apache.http.nio">NHttpServiceHandler</A>)
</UL>
<LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/NHttpRequestHandlerRegistry.html" title="class in org.apache.http.nio.protocol"><B>NHttpRequestHandlerRegistry</B></A> (implements org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/NHttpRequestHandlerResolver.html" title="interface in org.apache.http.nio.protocol">NHttpRequestHandlerResolver</A>)
<LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/SimpleNHttpRequestHandler.html" title="class in org.apache.http.nio.protocol"><B>SimpleNHttpRequestHandler</B></A> (implements org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/NHttpRequestHandler.html" title="interface in org.apache.http.nio.protocol">NHttpRequestHandler</A>)
<LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/UriHttpAsyncRequestHandlerMapper.html" title="class in org.apache.http.nio.protocol"><B>UriHttpAsyncRequestHandlerMapper</B></A> (implements org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestHandlerMapper.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestHandlerMapper</A>)
</UL>
</UL>
<H2>
Interface Hierarchy
</H2>
<UL>
<LI TYPE="circle">org.apache.http.concurrent.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/concurrent/Cancellable.html?is-external=true" title="class or interface in org.apache.http.concurrent"><B>Cancellable</B></A><UL>
<LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html" title="interface in org.apache.http.nio.protocol"><B>HttpAsyncResponseConsumer</B></A>&lt;T&gt; (also extends java.io.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/Closeable.html?is-external=true" title="class or interface in java.io">Closeable</A>)
<UL>
<LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestExecutionHandler.html" title="interface in org.apache.http.nio.protocol"><B>HttpAsyncRequestExecutionHandler</B></A>&lt;T&gt; (also extends org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestProducer</A>)
</UL>
</UL>
<LI TYPE="circle">java.io.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/Closeable.html?is-external=true" title="class or interface in java.io"><B>Closeable</B></A><UL>
<LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestConsumer.html" title="interface in org.apache.http.nio.protocol"><B>HttpAsyncRequestConsumer</B></A>&lt;T&gt;<LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html" title="interface in org.apache.http.nio.protocol"><B>HttpAsyncRequestProducer</B></A><UL>
<LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestExecutionHandler.html" title="interface in org.apache.http.nio.protocol"><B>HttpAsyncRequestExecutionHandler</B></A>&lt;T&gt; (also extends org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncResponseConsumer</A>&lt;T&gt;)
</UL>
<LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseConsumer.html" title="interface in org.apache.http.nio.protocol"><B>HttpAsyncResponseConsumer</B></A>&lt;T&gt; (also extends org.apache.http.concurrent.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/concurrent/Cancellable.html?is-external=true" title="class or interface in org.apache.http.concurrent">Cancellable</A>)
<UL>
<LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestExecutionHandler.html" title="interface in org.apache.http.nio.protocol"><B>HttpAsyncRequestExecutionHandler</B></A>&lt;T&gt; (also extends org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestProducer.html" title="interface in org.apache.http.nio.protocol">HttpAsyncRequestProducer</A>)
</UL>
<LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncResponseProducer.html" title="interface in org.apache.http.nio.protocol"><B>HttpAsyncResponseProducer</B></A></UL>
<LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/EventListener.html" title="interface in org.apache.http.nio.protocol"><B>EventListener</B></A><LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncExchange.html" title="interface in org.apache.http.nio.protocol"><B>HttpAsyncExchange</B></A><LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncExpectationVerifier.html" title="interface in org.apache.http.nio.protocol"><B>HttpAsyncExpectationVerifier</B></A><LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestHandler.html" title="interface in org.apache.http.nio.protocol"><B>HttpAsyncRequestHandler</B></A>&lt;T&gt;<LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestHandlerMapper.html" title="interface in org.apache.http.nio.protocol"><B>HttpAsyncRequestHandlerMapper</B></A><LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestHandlerResolver.html" title="interface in org.apache.http.nio.protocol"><B>HttpAsyncRequestHandlerResolver</B></A><LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/HttpRequestExecutionHandler.html" title="interface in org.apache.http.nio.protocol"><B>HttpRequestExecutionHandler</B></A><LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/NHttpRequestExecutionHandler.html" title="interface in org.apache.http.nio.protocol"><B>NHttpRequestExecutionHandler</B></A><LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/NHttpRequestHandler.html" title="interface in org.apache.http.nio.protocol"><B>NHttpRequestHandler</B></A><LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/NHttpRequestHandlerResolver.html" title="interface in org.apache.http.nio.protocol"><B>NHttpRequestHandlerResolver</B></A><LI TYPE="circle">org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/NHttpResponseTrigger.html" title="interface in org.apache.http.nio.protocol"><B>NHttpResponseTrigger</B></A></UL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/nio/pool/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/nio/reactor/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/nio/protocol/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 2005-2012 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
